# PSF-LoginServer - master - net.psforever.services.teamwork.SquadSwitchboard
PSF - LoginServer - master - net.psforever.services.teamwork.SquadSwitchboard
Keywords: PSF LoginServer master net.psforever.services.teamwork.SquadSwitchboard

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package teamwork
  Definition Classes
    services
- SquadAction
- SquadResponse
- SquadService
- SquadServiceMessage
- SquadServiceResponse
- SquadSwitchboard

c

net.psforever.services.teamwork

# SquadSwitchboard 

###
Companion object SquadSwitchboard

#### class SquadSwitchboard extends Actor

The dedicated messaging switchboard for members and observers of a given squad. It almost always dispatches messages to `WorldSessionActor` instances, much like any other `Service`. The sole purpose of this `ActorBus` container is to manage a subscription model that can involuntarily drop subscribers without informing them explicitly or can just vanish without having to properly clean itself up.

Source
  SquadSwitchboard.scala

Linear Supertypes
Actor, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SquadSwitchboard
2. Actor
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new SquadSwitchboard()

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val DelayedJoin: LongMap[ActorRef]

   This collection contains the message-sending contact information for would-be squad members.

   This collection contains the message-sending contact information for would-be squad members. Users are added to this collection via the `SquadSwitchboard.DelayJoin` message and are promoted to an actual squad member through a `SquadSwitchboard.Join` message. The message `SquadSwitchboard.Leave` removes the user from this collection. key - unique character id; value - `Actor` reference for that character

5.  val UserActorMap: LongMap[ActorRef]

   This collection contains the message-sending contact reference for squad members.

   This collection contains the message-sending contact reference for squad members. Users are added to this collection via the `SquadSwitchboard.Join` message, or a combination of the `SquadSwitchboard.DelayJoin` message followed by a `SquadSwitchboard.Join` message with or without an `ActorRef` hook. The message `SquadSwitchboard.Leave` removes the user from this collection. key - unique character id; value - `Actor` reference for that character

6.  val Watchers: LongMap[ActorRef]

   This collection contains the message-sending contact information for squad observers.

   This collection contains the message-sending contact information for squad observers. Squad observers only get "details" messages as opposed to the sort of messages squad members receive. Squad observers are promoted to an actual squad member through a `SquadSwitchboard.Watch` message. The message `SquadSwitchboard.Leave` removes the user from this collection. The message `SquadSwitchboard.Unwatch` also removes the user from this collection. key - unique character id; value - `Actor` reference for that character

7.  def aroundPostRestart(reason: Throwable): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
8.  def aroundPostStop(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
9.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
10.  def aroundPreStart(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
11.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
12.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
13.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
14.  implicit val context: ActorContext
    Definition Classes
      Actor
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
25.  def postStop(): Unit
    Definition Classes
      SquadSwitchboard → Actor
26.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
27.  def preStart(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
28.  def receive: Receive
    Definition Classes
      SquadSwitchboard → Actor
29.  implicit final val self: ActorRef
    Definition Classes
      Actor
30.  final def sender(): ActorRef
    Definition Classes
      Actor
31.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
32.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
33.  def toString(): String
    Definition Classes
      AnyRef → Any
34.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped